{% extends "base.html.j2" %}
{% block content %}
<div class="media">
    <section class="main_content content">
        <h2 class="title">{{ subtitle | default("Notificaciones") }}</h2>

    <div class="filter_wrapper right visto">

        <ul>
            <li><a href="{{url_for("notifications", action="marcar-como-leidas")}}">Marcar como leídas</a></li>
        </ul>

        <ul>
            <li><a href="{{url_for("notifications", action="eliminar")}}">Eliminar todas</a></li>
        </ul>

        <ul>
            <li>
                <span class="glyphicons glyphicons-chevron-down"></span> Ver
                <ul class="inner_menu">
                    <li><a class="view_style" href="{{url_for("notifications", action="nuevas")}}">Nuevas</a></li>
                    <li><a class="view_style" href="{{url_for("notifications", action="todas")}}">Todas</a></li>
                </ul>
            </li>
        </ul>

    </div>

    {% if notifications %}
        {% for notification in notifications %}
                <div class="card">
                    <div class="notification">
                        <div class="date">
                            <h5>{{notification.date.strftime('%H:%M hrs - %b %d, %Y')}}</h5>
                        </div>

                        <div class="msg">
                            <p>{{notification.msg}}</p>

                            <div class="buttons">
                                <a href="{{url_for("notification", action="eliminar", hash=notification.hash)}}" title="eliminar">
                                    <span class="glyphicons glyphicons-remove"></span>
                                </a>
                                <a href="{{url_for("notification", action="marcar-como-leido", hash=notification.hash)}}" title="marcar como leído">
                                    <span class="glyphicons glyphicons-ok"></span>
                                </a>
                            </div>
                        </div>

                        <!--<div class="buttons">-->
                        <!--</div>-->

                        <!--<div class="buttons">-->
                            <!--<a class="rounded" href="{{url_for("notification", action="eliminar", hash=notification.hash)}}">Marcar como leído</a>-->
                            <!--<a class="rounded" href="{{url_for("notification", action="marcar-como-leido", hash=notification.hash)}}">Eliminar</a>-->
                        <!--</div>-->
                    </div>
                </div>
        {% endfor %}
    {% else %}
            <p>Sin notificaciones</p>
    {% endif %}

    </section>
</div>
{% endblock %}
